Create a capital adjustment
POST
/portfolio/transactions/adjustmentRecords a manual correction to an asset's position (e.g. NAV or commitment adjustment) effective from the specified date.
Request body
application/json, required · PortfolioCreateAdjustmentRequest
{
"asset_id": 1,
"effective_date": "2026-06-12T10:00:00+00:00",
"type": "open_committed_increase",
"amount": 1
}Responses
200
201422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/adjustment\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"effective_date": "2026-06-12T10:00:00+00:00",
"type": "open_committed_increase",
"amount": 1
}'